# GRUMPHP Config files
# (https://github.com/phpro/grumphp)
parameters:
  tasks:
    # All linters to be used in the project
    # (https://github.com/phpro/grumphp/blob/master/doc/tasks.md)
    composer: ~
    jsonlint:
      ignore_patterns:
        - /^public\/vendor\/(.*)/
    yamllint:
      ignore_patterns:
        - /^public\/vendor\/(.*)/
    # for PHPCS rules look at .phpcs.xml
    phpcs: ~
    shell:
      scripts:
        - ["-c", "npm run lint-scss"] #Launch Stylelint on scss
        - ["-c", "npm run lint-js"] #Launch Lint js
      triggered_by: [scss]

